<template>
  <div id="app">
    <table class="table">
      <thead>
         <tr>
          <th>
            Nome Completo
          </th>
           <th>
            Email
          </th>
          <th>
            Telefone
          </th>
          <th class="text-right">
            Ações
          </th>
        </tr>
      </thead>

      <tbody>
        <tr v-for="(pessoa, $index) in pessoas" :key="$index">
          <td>
            {{ pessoa.nome }} {{ pessoa.sobrenome }}
          </td>

          <td>
            {{ pessoa.email }}
          </td>

          <td>
            {{ pessoa.telefone }}
          </td>

          <td class="text-right">
            <button type="button" class="btn btn-info mr-2" @click="onEdit(pessoa)">Editar</button>
            <button type="button" class="btn btn-danger" @click="onDelete(pessoa.id)">Excluir</button>
          </td>
        </tr>
      </tbody>
    </table>
  </div>
</template>

<script>
import axios from 'axios'

export default {
  name: 'CTable',

  data () {
    return {
      pessoas: []
    }
  },
  
  async created () {
    this.get()
  },

  methods: {
    async get () {
      const { data } = await axios.get('/pessoa')

      this.pessoas = data.data
    },

    async onEdit (pessoa) {
      this.$emit('edit', pessoa)
    },

    async onDelete (_id) {
      await axios.post(`/pessoa/delete/${_id}`)

      this.$emit('refresh')

      this.$root.notify({
        text: 'Comando executado com sucesso!',
        type: 'success'
      })
    }
  }
}
</script>

<style>

</style>
